## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

Name:           python-buildman
Version:        0.0.6
Release:        %autorelease
Summary:        Buildman build tool for U-Boot

License:        GPL-2.0-or-later
URL:            https://docs.u-boot.org/en/latest/build/buildman.html
Source:         %{pypi_source buildman}

BuildArch:      noarch
BuildRequires:  python3-devel
BuildRequires:  sed

%global _description %{expand:
This tool handles building U-Boot to check that you have not broken it with
your patch series. It can build each individual commit and report which boards
fail on which commits, and which errors come up. It aims to make full use of
multi-processor machines.}

%description %_description

%package -n     python3-buildman
Summary:        %{summary}

%description -n python3-buildman %_description

%prep
%autosetup -p1 -n buildman-%{version}

# Remove unnecessary shebangs
sed -i "\|#!/usr/bin/env python3|d" src/buildman/*.py

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files buildman

%check
%pyproject_check_import

%files -n python3-buildman -f %{pyproject_files}
%doc README.rst
%{_bindir}/buildman

%changelog
## START: Generated by rpmautospec
* Sat Jan 18 2025 Fedora Release Engineering <releng@fedoraproject.org> - 0.0.6-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Sat Jan 04 2025 Davide Cavalca <dcavalca@fedoraproject.org> - 0.0.6-1
- Initial import; Fixes: RHBZ#2316567
## END: Generated by rpmautospec
